python-facebook_20170111-0ubuntu1_all.deb


Advertisement

Description

python-facebook - Python wrappers for the Facebook API

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-facebook
Package version 20170111
Package release 0ubuntu1
Package architecture all
Package type deb
Installed size 151 B
Download size 31.51 KB
Official Mirror archive.ubuntu.com
PyFacebook is a thin wrapper for accessing Facebook's API through Python.

Alternatives

Package Version Architecture Repository
python-facebook_20170111-0ubuntu1_all.deb 20170111 all Ubuntu Universe
python-facebook - - -

Requires

Name Value
python:any << 2.8
python:any >= 2.7.5-5~

Provides

Name Value
python2.7-facebook -

Conflicts

Name Value
python-json -

Download

Type URL
Binary Package python-facebook_20170111-0ubuntu1_all.deb
Source Package python-facebook

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-facebook deb package:
    # sudo apt-get install python-facebook

Files

Path
/usr/lib/python2.7/dist-packages/facebook/__init__.py
/usr/lib/python2.7/dist-packages/facebook/webappfb.py
/usr/lib/python2.7/dist-packages/facebook/wsgi.py
/usr/lib/python2.7/dist-packages/facebook/djangofb/__init__.py
/usr/lib/python2.7/dist-packages/facebook/djangofb/context_processors.py
/usr/lib/python2.7/dist-packages/facebook/djangofb/models.py
/usr/lib/python2.7/dist-packages/facebook/djangofb/default_app/__init__.py
/usr/lib/python2.7/dist-packages/facebook/djangofb/default_app/models.py
/usr/lib/python2.7/dist-packages/facebook/djangofb/default_app/urls.py
/usr/lib/python2.7/dist-packages/facebook/djangofb/default_app/views.py
/usr/lib/python2.7/dist-packages/pyfacebook-1.0a2.1.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pyfacebook-1.0a2.1.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pyfacebook-1.0a2.1.egg-info/top_level.txt
/usr/share/doc/python-facebook/README
/usr/share/doc/python-facebook/changelog.Debian.gz
/usr/share/doc/python-facebook/copyright
/usr/share/doc/python-facebook/examples/djangofb.py.gz
/usr/share/doc/python-facebook/examples/fbsample/.project
/usr/share/doc/python-facebook/examples/fbsample/.pydevproject
/usr/share/doc/python-facebook/examples/fbsample/__init__.py
/usr/share/doc/python-facebook/examples/fbsample/db.sqlite3.gz
/usr/share/doc/python-facebook/examples/fbsample/manage.py
/usr/share/doc/python-facebook/examples/fbsample/run.bat
/usr/share/doc/python-facebook/examples/fbsample/settings.py
/usr/share/doc/python-facebook/examples/fbsample/urls.py
/usr/share/doc/python-facebook/examples/fbsample/fbapp/__init__.py
/usr/share/doc/python-facebook/examples/fbsample/fbapp/models.py
/usr/share/doc/python-facebook/examples/fbsample/fbapp/urls.py
/usr/share/doc/python-facebook/examples/fbsample/fbapp/views.py
/usr/share/doc/python-facebook/examples/fbsample/fbapp/templates/canvas.fbml

Changelog

2017-01-11 - Bhavani Shankar <bhavi@ubuntu.com>
python-facebook (20170111-0ubuntu1) zesty; urgency=medium
* New upstream release.
* bump standards to 3.9.8
* use dh_prep instead of dh_clean -k
* update rules file to track upstream changes
* update watch file with a note on the same
* update copyright to machine readable format
* use dh 10
* bump compat to 9
* update copyright years
* use 3.0(quilt) format
* add README.source and remove README.Debian
* adjust build deps to incorporate setuptools
2015-08-18 - Matthias Klose <doko@debian.org>
python-facebook (0.svn20100209-3.1) unstable; urgency=medium
* Non-maintainer upload.
* Build using dh-python. Closes: #786319.
2010-02-19 - Ian Wienand <ianw@debian.org>
python-facebook (0.svn20100209-3) unstable; urgency=low
* Suggest python-simplejson, and conflict with python-json.  Python 2.6
provides a 'json' module (compatible with simplejson), so this code
does an 'import json as simplejson'.  This breaks with python-json, as
it provides a 'json' that is not simplejson compatible. (Closes:
#570123)
2010-02-11 - Ian Wienand <ianw@debian.org>
python-facebook (0.svn20100209-2) unstable; urgency=low
* Build depend on python-all, rather than python (Closes: #569445)
2010-02-09 - Ian Wienand <ianw@debian.org>
python-facebook (0.svn20100209-1) unstable; urgency=low
* Pull from upstream again, fixes numerous issues
* Update standards version
* Remove dependency on python-dev-all for just python
* Add misc:Depends line
* Add dpatch dependency, although we have no patches currently
2009-07-24 - Ian Wienand <ianw@debian.org>
python-facebook (0.svn20090724-1) unstable; urgency=low
* Update homepage to new github home
* New upstream clone from git (despite svn name, it came from git)
2009-07-24 - Ian Wienand <ianw@debian.org>
python-facebook (0.svn20090108-2) unstable; urgency=low
* Remove dpatch requires (Closes: #537961)
* Add djangofb.py to examples (Closes: #537960)
2009-01-08 - Ian Wienand <ianw@debian.org>
python-facebook (0.svn20090108-1) unstable; urgency=low
* Initial release (Closes: #511279).
* Acquired from SVN on 2009-01-08

See Also

Package Description
python-factory-boy-doc_2.8.1-2_all.deb test fixtures replacement based on factory_girl for Ruby - doc
python-factory-boy_2.8.1-2_all.deb test fixtures replacement based on factory_girl for Ruby - Python 2.x
python-fake-factory_0.7.7-2_all.deb Faker is a Python library that generates fake data (Python 2)
python-fakeredis_0.8.2-2_all.deb Fake version of a redis-py - Python 2.x
python-fakesleep_0.1-1_all.deb Fake version of time.sleep() for use in tests
python-falcon_1.0.0-2build3_i386.deb supersonic micro-framework for building cloud APIs - Python 2.x
python-fann2_1.0.7-6build2_i386.deb Python bindings for FANN
python-fast5_0.6.3-1ubuntu1_i386.deb library for reading Oxford Nanopore Fast5 files -- Python 2
python-fastcluster_1.1.22-1build1_i386.deb Fast hierarchical clustering routines for Python
python-fastimport_0.9.6-3_all.deb Fastimport file format parser and generator library
python-fastkml_0.11-1_all.deb fast KML processing
python-faulthandler_2.4-1_i386.deb Display the Python backtrace on a crash
python-fcgi_19980130-1_all.deb Simple FastCGI module for Python
python-fdb-doc_1.6.1+dfsg1-1_all.deb Python DB-API driver for Firebird documentation
python-fdb_1.6.1+dfsg1-1_all.deb Python2 DB-API driver for Firebird
Advertisement
Advertisement